E-MailRelay

Classes | Macros
gnewprocess_unix.cpp File Reference
`#include "gdef.h"`
`#include "gnewprocess.h"`
`#include "gprocess.h"`
`#include "genvironment.h"`
`#include "gfile.h"`
`#include "gidentity.h"`
`#include "gassert.h"`
`#include "gtest.h"`
`#include "gstr.h"`
`#include "glog.h"`
`#include <cerrno>`
`#include <array>`
`#include <algorithm>`
`#include <utility>`
`#include <tuple>`
`#include <iostream>`
`#include <csignal>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Classes
class | G::Pipe
| A private implementation class used by G::NewProcess that wraps a unix pipe. More...
class | G::NewProcessImp
| A pimple-pattern implementation class used by G::NewProcess. More...

## Macros
#define | WIFCONTINUED(wstatus) 0

## Macro Definition Documentation

## ◆ WIFCONTINUED

#define WIFCONTINUED | ( |  | wstatus | ) | 0

Definition at line 45 of file gnewprocess_unix.cpp.